package com.ann.demo.service.impl;

import com.ann.demo.entity.filing.ArchiveDetail;
import com.ann.demo.repository.ArchiveDetailRepository;
import com.ann.demo.service.ArchiveDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/12 9:12
 */
@Service
public class ArchiveDetailServiceImpl implements ArchiveDetailService {

    @Autowired
    ArchiveDetailRepository archiveDetailRepository;


    @Override
    public void save(ArchiveDetail archiveDetail) throws Exception{
        archiveDetailRepository.save(archiveDetail);
    }

    @Override
    public void delete(String id) throws Exception{
        archiveDetailRepository.deleteById(id);
    }


    @Override
    public ArchiveDetail isExit(String id, String type, String source, String applyId,String checkReportId) throws Exception {
        if (archiveDetailRepository.countByMasterIDAndAssortIDAndSourceAndApplyId(id, type, source, applyId,checkReportId) > 0)
            return archiveDetailRepository.findByMasterIDAndAssortIDAndSourceAndApplyIdAndFlagAndFileContext(id, type, source, applyId,"0",checkReportId);
        return null;
    }



}
