package com.ann.demo.service.impl;


import com.ann.demo.interfaces.HomepageDictionary;
import com.ann.demo.service.WebServiceDemo;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class WebServiceDemoImpl implements WebServiceDemo {
    @Autowired
    private HomepageDictionary homepageDictionary;

    private static final Logger logger = LoggerFactory.getLogger(WebServiceDemoImpl.class);

    @Override
    public String receivePdfFile(byte[] fileByte) {
        if(null == fileByte || fileByte.length == 0){
            return "参数不能为空";
        }else {
            try {
                String decode= "";
                //fileByte = FileUtils.getBytesByFile("F:\\inputStr.txt");
                decode = new String(fileByte, "UTF-8");
                //decode = Base64Utils.jdkBase64Decode(decode);
                logger.info(decode);
                String result = homepageDictionary.HIPMessageServer("LisSendReportBack", decode);
                logger.info(result);
                return result;
            }catch (Exception e) {
                e.printStackTrace();
                logger.error(e.getMessage());
                return e.getMessage();
            }
        }
    }




    /*@Override
    public String receivePdfFile(byte[] fileByte) {
        //定义返回值
        int resultCode = 0;
        String resultContent = "成功";
        if(null != fileByte && fileByte.length != 0){
            String outPath = "D:\\zwh";
            String s = UUID.randomUUID().toString();
            String fileName = "fileDemo_"+s+".pdf";
            try {
                FileUtil.getFileByBytes(fileByte,outPath,fileName);
            } catch (Exception e) {
                e.printStackTrace();
                resultCode = 500;
                resultContent = e.getMessage();
            }
        }else {
            resultCode = 500;
            resultContent = "参数不能为空";
        }
        return "<Response>\n" +
                "    <Header>\n" +
                "        <SourceSystem></SourceSystem>\n" +
                "        <MessageID></MessageID>\n" +
                "    </Header>\n" +
                "    <Body>\n" +
                "        <ResultCode>"+resultCode+"</ResultCode>\n" +
                "        <ResultContent>"+resultContent+"</ResultContent>\n" +
                "    </Body>\n" +
                "</Response>";
    }*/
}

