package com.ann.demo.utils;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;

public class JsonUtils {
    public static String getValueByKey(String jsonString, String key) {
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            JsonNode jsonNode = objectMapper.readTree(jsonString);

            JsonNode valueNode = jsonNode.get(key);
            if (valueNode != null) {
                return valueNode.asText();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    public static void main(String[] args) {
        String jsonString = "{\"name\":\"John\",\"age\":30}";

        String name = getValueByKey(jsonString, "name");
        int age = Integer.parseInt(getValueByKey(jsonString, "age"));
    }
}
