package com.ann.demo.entity.constant;

import lombok.Data;

@Data
public class WebserviceId {

    /**
     * V3接口
     */
    public static final String HIP_MESSAGE_SERVER = "HIPMessageServer";

    /**
     * 检查报告参数
     */
    public static final String PARAMETER_REPORT = "1";

    /**
     * 检查申请单
     */
    public static final String PARAMETER_EXAMAPPLY = "2";

    /**
     * 2019-10-21
     * 检查申请单是否开立
     */
    public static final String PARAMETER_EXAMAPPLYSTATECHANGE = "3";

    /**
     * 2020-3-3
     * 检查申请单 是否核收
     */
    public static final String PARAMETER_VERIFICATIONEXAMAPPLY = "4";

    /**
     * 入院参数
     */
    public static final String PARAMETER_ADMISSION = "5";
    /**
     * 出院参数
     */
    public static final String PARAMETER_DISCHARGE = "6";

    /**
     * 转科参数
     */
    public static final String PARAMETER_TRANSFER = "7";

    /**
     * 取消入院
     */
    public static final String PARAMETER_CANCELLATION_DISCHARGE = "8";

    /**
     * 患者更新
     */
    public static final String PARAMETER_PATIENT_UPDATE = "9";

    /**
     * lis系统
     */
    public static final String INSPECTION_REPORT_NAME = "10";

    /**
     * 2019-12-23
     * 检验申请单
     */
    public static final String PARAMETER_INSPECTIONAPPLY = "11";

    /**
     * 2020-2-28
     * 检体核收
     */
    public static final String PARAMETER_VERIFICATIONINSPECTIONAPPLY = "12";

    /**
     * 医生资料 病案首页 病历文书
     */
    public static final String DOCTOR_DATA = "13";

    /**
     * 护士资料 评估单 体温单 护理单2
     */
    public static final String NURSE_DATA = "14";

    /**
     * 病案首页
     */
    public static final String INP_SUMMARY = "15";

    /**
     * 手麻报告
     */
    public static final String HANDNUMBNESS_REPORT = "16";

    /**
     * 重症ICU报告
     */
    public static final String ICU_REPORT = "17";

    /**
     * 输血单
     */
    public static final String BLOODAPPLY_REPORT = "18";

    /**
     * 用户、科室接口 ReceiveDict
     */
    public static final String RECEIVE_DICT = "19";

    /**
     * 20200609主管医生
     */
    public static final String BED_MANAGER = "20";

    /**
     * 20200609死亡信息
     */
    public static final String DIE_MEDICAL_ADVICE = "21";

}
